/*                     
 * The Pipelined Regular Expression Monitor Compiler System
 * Copyright (c) 2002 University of British Columbia
 * All Rights Reserved.
 *                 
 *                     
 * VHDL code generation.   
 *
 * Marcio Oliveira -- 2002
 */

#ifndef VHDL_H
#define VHDL_H

#include <stdio.h>
#include <compile.h>

void dumpVhdl(FILE *);
void dumpVhdlEntity(FILE *);
void dumpVhdlArchitecture(FILE *);
void dumpVhdlStateMachine(FILE *);
void dumpVhdlStateMachineVars(FILE *);
void dumpVhdlStateMachineInit(FILE *);
void dumpVhdlStateMachineStep(FILE *);
void dumpVhdlExpression(FILE *, treeNodePtr, char*);
void dumpVhdlBoolExpression(FILE *, treeNodePtr);
void dumpVhdlActionList(FILE *, actionPtr);
void dumpVhdlActionExpressionLhs(FILE *, actionNodePtr);
void dumpVhdlActionExpression(FILE *, actionNodePtr);
void dumpVhdlIndex(FILE *, indexNodePtr);

#endif
